Skip to main content
POST
/
sdk
/
v1
/
runs
/
{runID}
/
tool-call
Record a tool call
curl --request POST \
  --url https://api.strait.dev/sdk/v1/runs/{runID}/tool-call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tool_name": "<string>",
  "duration_ms": 123,
  "input": "<unknown>",
  "output": "<unknown>",
  "status": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "run_id": "<string>",
  "status": "<string>",
  "tool_name": "<string>",
  "$schema": "<string>",
  "duration_ms": 123,
  "input": "<unknown>",
  "output": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

runID
string
required

Body

application/json
tool_name
string
required
duration_ms
integer<int64>
input
any
output
any
status
string

Response

OK

created_at
string<date-time>
required
id
string
required
run_id
string
required
status
string
required
tool_name
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/RunToolCall.json"

duration_ms
integer<int64>
input
any
output
any